
Redmine - Feature #12223

Make "My Page"-Widgets filterable

2012-10-26 15:10 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

As described in the topic.

It would be great to have the well known filter ability in the "My Page"-Widgets.

Some example: I could filter "My Tickets" or "Watched Tickets" for "ticket status = open".

Maybe a new item could be also created. Some "Filter-Widget" which could be added multiple times with different sorting, grouping

or filter.

This would be useful for the project manager.

Related issues:

Related to Redmine - Feature #1051: My Page - Customisaton / Default behaviou... Closed 2008-04-13

Related to Redmine - Patch #230: hides some issues in calendar block in My Page New

Related to Redmine - Defect #8948: Watched issues which are already closed ar... Closed 2011-07-30

Related to Redmine - Feature #8228: Allow custom filter to be used on "My Page". Closed 2011-04-26

Related to Redmine - Feature #4677: Add a filter on the "My reported issues" ... Closed 2010-01-28

Related to Redmine - Feature #11709: "Issues assigned to me" ordering priority New

Related to Redmine - Feature #9479: Add a custom filtered issues block to 'My... Closed 2011-10-27

Related to Redmine - Feature #493: Enhancement request bonanza!! Closed 2013-04-25

Related to Redmine - Feature #1565: Custom query on My page Closed 2008-07-03

History

#1 - 2012-10-26 15:22 - Etienne Massip

- Category set to My page

#2 - 2012-12-14 16:35 - Tobias Fischer

Daniel Felix wrote:

Some example: I could filter "My Tickets" or "Watched Tickets" for "ticket status = open".

 +1 on this issue!

I don't want to see closed tickets in the widget "Watched Tickets"

#3 - 2013-04-08 19:41 - Isaac Marco

Yeah... it would be cool that personal or public filters were a block available in "My page".

#4 - 2013-04-08 21:02 - Dipan Mehta

+1. Very essential. Alternatively, one can display saved queries on such blocks. Also, I would request id sorting of columns can be done.

#5 - 2013-09-13 16:36 - Chirag Anand

Plugin mentioned in #1565 works: http://www.redmine.org/issues/1565#note-38

#6 - 2013-09-25 02:42 - Toshi MARUYAMA

- Related to Feature #1565: Custom query on My page added
#7 - 2013-12-10 16:33 - Marc D.

+1

#8 - 2016-07-29 13:07 - Anonymous

+1

#9 - 2016-08-23 17:32 - Toshi MARUYAMA

- Description updated

#10 - 2016-08-23 17:33 - Toshi MARUYAMA

- Description updated

#11 - 2017-03-17 18:49 - Marius BĂLTEANU

I think that the requests from this ticket are covered by #1565 and the issue can be closed.

#12 - 2017-04-15 19:42 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Thanks for your pointing out.

#13 - 2017-04-16 09:37 - Mischa The Evil

Tobias Fischer wrote:

I don't want to see closed tickets in the widget "Watched Tickets"

 FWIW: this is a separate issue that was previously fixed by r15315 for #15777 in Redmine 3.3.0.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://www.redmine.org/issues/1565
https://www.redmine.org/projects/redmine/repository/svn/revisions/15315
https://www.redmine.org/issues/15777
https://www.redmine.org/versions/110
http://www.tcpdf.org

